# opentl::cvprocess::CvtColour Class Reference

List of all members.

## Static Public Member Functions
static void | BGR2HSV (opentl::core::cvdata::Image &InputImage)
static void | BGR2RGB (opentl::core::cvdata::Image &InputImage)
static void | cvtColour (const opentl::core::cvdata::Image &inputImage, opentl::core::cvdata::Image &outputImage)
static void | cvtColour (const opentl::core::cvdata::Image &InputImage, opentl::core::cvdata::Image::ColorChannels srcColour, opentl::core::cvdata::Image::ColorChannels dstColour, opentl::core::cvdata::Image &OutputImage)
static void | HSV2BGR (opentl::core::cvdata::Image &InputImage)
static void | HSV2RGB (opentl::core::cvdata::Image &InputImage)
static void | pixelYUV2RGB (int y, int u, int v, int &r, int &g, int &b)
static void | RGB2BGR (opentl::core::cvdata::Image &InputImage)
static void | RGB2HSV (opentl::core::cvdata::Image &InputImage)
static void | RGB2rgCr (const opentl::core::cvdata::Image &image, opentl::core::cvdata::Image &outimage, double threshold=0.0f)
static void | YUYV2BGR (const opentl::core::cvdata::Image &image, opentl::core::cvdata::Image &outimage)
static void | YUYV2RGB (const opentl::core::cvdata::Image &image, opentl::core::cvdata::Image &outimage)

## Member Function Documentation

static void opentl::cvprocess::CvtColour::BGR2HSV | ( | opentl::core::cvdata::Image & | InputImage | ) | `[static]`

static void opentl::cvprocess::CvtColour::BGR2RGB | ( | opentl::core::cvdata::Image & | InputImage | ) | `[static]`

static void opentl::cvprocess::CvtColour::cvtColour | ( | const opentl::core::cvdata::Image & | inputImage,
|  | opentl::core::cvdata::Image & | outputImage |
| ) |  |  | `[static]`

static void opentl::cvprocess::CvtColour::cvtColour | ( | const opentl::core::cvdata::Image & | InputImage,
|  | opentl::core::cvdata::Image::ColorChannels | srcColour,
|  | opentl::core::cvdata::Image::ColorChannels | dstColour,
|  | opentl::core::cvdata::Image & | OutputImage |
| ) |  |  | `[static]`

static void opentl::cvprocess::CvtColour::HSV2BGR | ( | opentl::core::cvdata::Image & | InputImage | ) | `[static]`

static void opentl::cvprocess::CvtColour::HSV2RGB | ( | opentl::core::cvdata::Image & | InputImage | ) | `[static]`

static void opentl::cvprocess::CvtColour::pixelYUV2RGB | ( | int | y,
|  | int | u,
|  | int | v,
|  | int & | r,
|  | int & | g,
|  | int & | b |
| ) |  |  | `[inline, static]`

static void opentl::cvprocess::CvtColour::RGB2BGR | ( | opentl::core::cvdata::Image & | InputImage | ) | `[static]`

static void opentl::cvprocess::CvtColour::RGB2HSV | ( | opentl::core::cvdata::Image & | InputImage | ) | `[static]`

static void opentl::cvprocess::CvtColour::RGB2rgCr | ( | const opentl::core::cvdata::Image & | image,
|  | opentl::core::cvdata::Image & | outimage,
|  | double | threshold = `0.0f` |
| ) |  |  | `[static]`

static void opentl::cvprocess::CvtColour::YUYV2BGR | ( | const opentl::core::cvdata::Image & | image,
|  | opentl::core::cvdata::Image & | outimage |
| ) |  |  | `[static]`

static void opentl::cvprocess::CvtColour::YUYV2RGB | ( | const opentl::core::cvdata::Image & | image,
|  | opentl::core::cvdata::Image & | outimage |
| ) |  |  | `[static]`